SDL_GetGamepadID(3)

NAME
SDL_GetGamepadID - Get the instance ID of an opened gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID SDL_GetGamepadID(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    a gamepad identifier previously returned by SDL_OpenGamepad ().

RETURN VALUE
( SDL_JoystickID ) Returns the instance ID of the specified gamepad on success or 0 on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.